weka.core.stemmers

## Class LovinsStemmer

- java.lang.Object
- - weka.core.stemmers.LovinsStemmer

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler, Stemmer, TechnicalInformationHandler
  Direct Known Subclasses:
    IteratedLovinsStemmer

      public class LovinsStemmer
      extends java.lang.Object
      implements Stemmer, TechnicalInformationHandler

  A stemmer based on the Lovins stemmer, described here:
  Julie Beth Lovins (1968). Development of a stemming algorithm. Mechanical Translation and Computational Linguistics. 11:22-31.

  BibTeX:

       @article{Lovins1968,
          author = {Julie Beth Lovins},
          journal = {Mechanical Translation and Computational Linguistics},
          pages = {22-31},
          title = {Development of a stemming algorithm},
          volume = {11},
          year = {1968}
       }

  Version:
    $Revision: 8034 $
  Author:
    Eibe Frank (eibe at cs dot waikato dot ac dot nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LovinsStemmer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRevision()` Returns the revision string.
    `TechnicalInformation` | `getTechnicalInformation()` Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
    `java.lang.String` | `globalInfo()` Returns a string describing the stemmer
    `static void` | `main(java.lang.String[] args)` Runs the stemmer with the given options
    `java.lang.String` | `stem(java.lang.String word)` Returns the stemmed version of the given word.
    `java.lang.String` | `stemString(java.lang.String str)` Stems everything in the given string.
    `java.lang.String` | `toString()` returns a string representation of the stemmer

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LovinsStemmer

          public LovinsStemmer()

  - ### Method Detail

    - #### globalInfo

          public java.lang.String globalInfo()

      Returns a string describing the stemmer
      Returns:
        a description suitable for displaying in the explorer/experimenter gui

    - #### getTechnicalInformation

          public TechnicalInformation getTechnicalInformation()

      Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
      Specified by:
        `getTechnicalInformation` in interface `TechnicalInformationHandler`
      Returns:
        the technical information about this class

    - #### stem

          public java.lang.String stem(java.lang.String word)

      Returns the stemmed version of the given word. Word is converted to lower case before stemming.
      Specified by:
        `stem` in interface `Stemmer`
      Parameters:
        `word` - a string consisting of a single word
      Returns:
        the stemmed word

    - #### stemString

          public java.lang.String stemString(java.lang.String str)

      Stems everything in the given string. String is converted to lower case before stemming.
      Parameters:
        `str` - the string to stem
      Returns:
        the processed string

    - #### toString

          public java.lang.String toString()

      returns a string representation of the stemmer
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the stemmer

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision

    - #### main

          public static void main(java.lang.String[] args)

      Runs the stemmer with the given options
      Parameters:
        `args` - the options